Bug 624490

Summary: Review Request: rubygem-jnunemaker-matchy -- RSpec-esque matchers for use in Test::Unit
Product: [Fedora] Fedora Reporter: Michael Stahnke <mastahnke>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, tdawson
Target Milestone: ---Flags: mtasaka: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-jnunemaker-matchy-0.4.0-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-21 07:50:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 622313    

Description Michael Stahnke 2010-08-16 16:00:35 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-jnunemaker-matchy.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-jnunemaker-matchy-0.4.0-1.fc15.src.rpm
Description:
RSpec-esque matchers for use in Test::Unit

Comment 1 Mamoru TASAKA 2010-08-16 19:11:01 UTC
Some notes:

* License
  - The license tag for this package should be "MIT".

? cat command
  - What is the purpose of the following line?
------------------------------------------------------------------
cat %{buildroot}/%{geminstdir}/matchy.gemspec
------------------------------------------------------------------

* Documents
  - I think %geminstdir/countloc.rb can also be moved to %doc.

* %defattr
  - Please set %defattr on -doc subpackage.

? %doc in -doc
  - Usually I think that setting %doc attribute on the files in -doc
    subpackage is redundant because the name of the rpm already says that
    that rpm is for documentation.

Comment 2 Michael Stahnke 2010-08-16 19:27:18 UTC
Updated http://stahnma.fedorapeople.org/reviews/rubygem-jnunemaker-matchy-0.4.0-2.fc15.src.rpm

License: I read through the license and then forgot to update the tag. 
Cat command removed (was there for a debug)
Documents moved with a defattr.

Comment 3 Mamoru TASAKA 2010-08-16 20:01:52 UTC
Ah, I think %geminstdir/setup.rb can also be moved into -doc.
Please fix this when importing this package into Fedora SCM.

--------------------------------------------------------
   This package (rubygem-jnumemaker-matchy) is
   APPROVED by mtasaka
--------------------------------------------------------

Comment 4 Michael Stahnke 2010-08-16 21:06:39 UTC
New Package SCM Request
=======================
Package Name: rubygem-jnunemaker-matchy
Short Description: RSpec-esque matchers for use in Test::Unit
Owners: stahnma
Branches: EL5, EL6, F13, F14
InitialCC:

Comment 5 Kevin Fenzi 2010-08-17 00:43:32 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-08-18 22:24:26 UTC
rubygem-jnunemaker-matchy-0.4.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-jnunemaker-matchy-0.4.0-2.fc13

Comment 7 Fedora Update System 2010-08-18 22:24:31 UTC
rubygem-jnunemaker-matchy-0.4.0-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/rubygem-jnunemaker-matchy-0.4.0-2.fc14

Comment 8 Fedora Update System 2010-08-18 23:41:56 UTC
rubygem-jnunemaker-matchy-0.4.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-jnunemaker-matchy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-jnunemaker-matchy-0.4.0-2.fc14

Comment 9 Mamoru TASAKA 2010-08-21 07:50:07 UTC
Closing (as it seems that builds on Fedora branches succeeded).

Comment 10 Fedora Update System 2010-08-27 03:04:18 UTC
rubygem-jnunemaker-matchy-0.4.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-31 06:36:14 UTC
rubygem-jnunemaker-matchy-0.4.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Troy Dawson 2014-08-06 16:58:52 UTC
Package Change Request
======================
Package Name: rubygem-jnunemaker-matchy
New Branches: epel7
Owners: tdawson

Comment 13 Gwyn Ciesla 2014-08-06 18:44:07 UTC
Git done (by process-git-requests).